function [c,ceq] = mycon_down_GA (XX)

load variables_down.mat
x = double(XX) .* 0.1; % change value from integer to double
Ener_down = 4*x.*f_AS_down;

% Constraints
SOC_ini = SOC_adapt(1);
SOC_blk = reshape(SOC_adapt(2:25),4,6);
SOC = [SOC_ini SOC_blk(end,:)]; % initialize SOC value
SOC_down = [SOC_ini zeros(1,6)];

for i=1:6 % SOC of the blocks
    SOC_down(i+1) = SOC(i+1) + sum(Ener_down(1:i));
end

c = [SOC_down(2) - 0.9*Max_SOC;...
    SOC_down(3) - 0.9*Max_SOC;...
    SOC_down(4) - 0.9*Max_SOC;...
    SOC_down(6) - 0.9*Max_SOC;...
    SOC_down(6) - 0.9*Max_SOC;...
    SOC_down(7) - 0.9*Max_SOC];

% c = [4*x(1)*f_AS_down(1) + SOC_down(2) - 0.9*Max_SOC;...
%     4*x(2)*f_AS_down(2) + SOC_down(3) - 0.9*Max_SOC;...
%     4*x(3)*f_AS_down(3) + SOC_down(4) - 0.9*Max_SOC;...
%     4*x(4)*f_AS_down(4) + SOC_down(6) - 0.9*Max_SOC;...
%     4*x(5)*f_AS_down(5) + SOC_down(6) - 0.9*Max_SOC;...
%     4*x(6)*f_AS_down(6) + SOC_down(7) - 0.9*Max_SOC];

ceq = [];
