function [c,ceq] = mycon_up_GA(XX)

load variables_up.mat
x = double(XX) .* 0.1;
SOC(1) = SOC_ini;

if conv_topo == 1
    P_up = x;
else
    P_up = x + min_Avai_P;
end

for i=1:6 % SOC of the blocks
     SOC(i+1) = SOC(i) + 4*x(i) - 4*(P_up(i))*f_AS_up(i) - ConsumE_blk(i);
%     SOC(i+1) = SOC(i) + 4*x(i)*(1-f_AS_up(i)) - ConsumE_blk(i);
end

c = [SOC(2) - SOC_max(1);...
    SOC(3) - SOC_max(2);...
    SOC(4) - SOC_max(3);...
    SOC(5) - SOC_max(4);...
    SOC(6) - SOC_max(5);...
    SOC(7) - SOC_max(6);...
    -1*(SOC(3)) + 0.55*Max_SOC];
% Maximum consumption is 0.23 of the battery. If 50% is valid, there is no
% way of getting to 20% any other hour. This should fast up the simulation

ceq = [];

