function [c,ceq] = mycon_up_GSA(XX)

load variables_up.mat
SOC(1) = SOC_ini;
if scheme == 2
    x = XX; 
else
    x = double(XX) .* 0.1;
end

if conv_topo == 1
    P_up = x;
else
    P_up = x + min_Avai_P';
end

for i=1:6 % SOC of the blocks
     SOC(i+1) = SOC(i) + 4*x(i) - 4*(P_up(i))*f_AS_up(i) - ConsumE_blk(i);
%     SOC(i+1) = SOC(i) + 4*x(i)*(1-f_AS_up(i)) - ConsumE_blk(i);
end

c = [SOC(2) - 0.9*Max_SOC;...
    SOC(3) - 0.895*Max_SOC;...
    SOC(4) - 0.89*Max_SOC;...
    SOC(5) - 0.885*Max_SOC;...
    SOC(6) - 0.88*Max_SOC;...
    SOC(7) - 0.875*Max_SOC;...
    -1*(SOC(3)) + 0.55*Max_SOC];
% Maximum consumption is 0.23 of the battery. If 50% is valid, there is no
% way of getting to 20% any other hour. This should fast up the simulation

ceq = [];

% save return.mat SOC c

